list File Reference
Technical Specifications » Library Fundamentals TS

Go to the source code of this file.

## Namespaces

namespace | std
namespace | std::experimental

## Macros

#define | _GLIBCXX_EXPERIMENTAL_LIST

## Typedefs

template<typename _Tp>
using | std::experimental::fundamentals_v2::pmr::list

## Functions

template<typename _Tp, typename _Alloc, typename _Up>
void | std::experimental::erase (list< _Tp, _Alloc > &__cont, const _Up &__value)
template<typename _Tp, typename _Alloc, typename _Predicate>
void | std::experimental::erase_if (list< _Tp, _Alloc > &__cont, _Predicate __pred)

## Detailed Description

This is a TS C++ Library header.

Definition in file experimental/list.

## Macro Definition Documentation

## _GLIBCXX_EXPERIMENTAL_LIST

#define _GLIBCXX_EXPERIMENTAL_LIST

Definition at line 31 of file experimental/list.

## Typedef Documentation

## list

template<typename _Tp>

using std::experimental::fundamentals_v2::pmr::list

Definition at line 65 of file experimental/list.